package im.zhaojun.system.model;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class Face {
    private Long id;
    private String Type;
    private FaceBoundingBox FaceBoundingBox;
    private HeadBoundingBox HeadBoundingBox;
    private String Gender;
    private String Age;
    private String HasGlasses;
    private String HasHat;
    private String HasMask;
    private String HairStyle;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setType(String Type) {
        this.Type = Type;
    }

    public String getType() {
        return Type;
    }

    public void setFaceBoundingBox(FaceBoundingBox FaceBoundingBox) {
        this.FaceBoundingBox = FaceBoundingBox;
    }

    public FaceBoundingBox getFaceBoundingBox() {
        return FaceBoundingBox;
    }

    public void setHeadBoundingBox(HeadBoundingBox HeadBoundingBox) {
        this.HeadBoundingBox = HeadBoundingBox;
    }

    public HeadBoundingBox getHeadBoundingBox() {
        return HeadBoundingBox;
    }

    public void setGender(String Gender) {
        this.Gender = Gender;
    }

    public String getGender() {
        return Gender;
    }

    public void setAge(String Age) {
        this.Age = Age;
    }

    public String getAge() {
        return Age;
    }

    public void setHasGlasses(String HasGlasses) {
        this.HasGlasses = HasGlasses;
    }

    public String getHasGlasses() {
        return HasGlasses;
    }

    public void setHasHat(String HasHat) {
        this.HasHat = HasHat;
    }

    public String getHasHat() {
        return HasHat;
    }

    public void setHasMask(String HasMask) {
        this.HasMask = HasMask;
    }

    public String getHasMask() {
        return HasMask;
    }

    public void setHairStyle(String HairStyle) {
        this.HairStyle = HairStyle;
    }

    public String getHairStyle() {
        return HairStyle;
    }
}
